.loader {
    position: fixed;
    left: 50%;
    top: 50%;
    z-index: 1;
    background-image:url('loading.png');  
    background-size:80px;
    width: 80px;
    height: 80px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
    
}

.loader-text{    
    color:white;    
    margin-top:30%;     
    text-align:center;
    margin-left:80px;
}

.mymodal{
    display: block; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1000000000; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */    
}



@-webkit-keyframes spin {
0% { -webkit-transform: rotate(0deg); }
100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
0% { transform: rotate(0deg); }
100% { transform: rotate(360deg); }
}